<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> ค้นหาอสังหาริมทรัพย์ทำเลที่ตั้ง</h1>
</div>

<div class="container">

  <!-- <mat-form-field style="width: 20%">
    <mat-label>เลือกภูมิภาค</mat-label>
    <mat-select [formControl]="roomm">
      <mat-option *ngFor="let room of rooms" [value]="room.loc_zone">
        {{room.loc_zone}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field style="width: 20%; margin-left: 10px; ">
    <mat-label>เลือกทำเลที่ตั้ง</mat-label>
    <mat-select [formControl]="location_id">
      <mat-option *ngFor="let p of province" [value]="p.loc_name">
        {{p.loc_name}}
      </mat-option>
    </mat-select>
  </mat-form-field> -->

  <mat-form-field style="width: 20%">
    <mat-label>เลือกภูมิภาค</mat-label>
    <mat-select #selectedValueEle>
      <mat-option>ไม่ระบุ</mat-option>
      <mat-option *ngFor="let room of rooms" [value]="room.loc_zone">
        {{room.loc_zone}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field style="width: 20%; margin-left: 10px; ">
    <mat-label>เลือกทำเลที่ตั้ง</mat-label>
    <mat-select #selectedValue>
      <mat-option>ไม่ระบุ</mat-option>
      <mat-option *ngFor="let p of province" [value]="p.loc_name">
        {{p.loc_name}}
      </mat-option>
    </mat-select>
  </mat-form-field>


  <button mat-button (click)="search(selectedValue.value , selectedValueEle.value)"
    class="btseach">ค้นหา</button>


  <p>
    <mat-form-field appearance="outline" style="width: 50%;">
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="ค้นหารายการ">
    </mat-form-field>
  </p>

  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">

      <ng-container matColumnDef="a">
        <th mat-header-cell *matHeaderCellDef> ชื่ออสังหาริมทรัพย์ </th>
        <td mat-cell *matCellDef="let row"> {{row.pro_head}} </td>
      </ng-container>

      <ng-container matColumnDef="b">
        <th mat-header-cell *matHeaderCellDef> เจ้าของอสังหาริมทรัพย์ </th>
        <td mat-cell *matCellDef="let row"> {{row.fname}} &nbsp; {{row.lname}}</td>
      </ng-container>

      <ng-container matColumnDef="c">
        <th mat-header-cell *matHeaderCellDef> ยอดเข้าชม </th>
        <td mat-cell *matCellDef="let row"> {{row.pro_views}}</td>
      </ng-container>

      <ng-container matColumnDef="d">
        <th mat-header-cell *matHeaderCellDef> วันลงประกาศ </th>
        <td mat-cell *matCellDef="let row"> {{row.pro_post}} </td>
      </ng-container>

      <ng-container matColumnDef="e">
        <th mat-header-cell *matHeaderCellDef> ดูรายละเอียด </th>
        <td mat-cell *matCellDef="let row">
          <button mat-raised-button  [routerLink]="['/mainpage/mainpage/property' ,row.pro_id,row.pro_views]"
            style="background: #1d6a96 ; color: snow; ">
            <i class="material-icons">
              search
            </i>&nbsp; เข้าดู</button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
  </div>

</div>